package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-24 16:14
 *    desc   :
 * </pre>
 */
public abstract class BaseWxWalletRedPacketRandom<M extends BaseWxWalletRedPacketRandom<M>> extends TioModel<M> implements IBean {

    public void setId(java.lang.Integer id) {
        set("id", id);
    }

    public java.lang.Integer getId() {
        return getInt("id");
    }

    /**
     * 红包id
     */
    public void setRid(java.lang.Integer rid) {
        set("rid", rid);
    }

    /**
     * 红包id
     */
    public java.lang.Integer getRid() {
        return getInt("rid");
    }

    /**
     * 抢红包的用户
     */
    public void setUid(java.lang.Integer uid) {
        set("uid", uid);
    }

    /**
     * 抢红包的用户
     */
    public java.lang.Integer getUid() {
        return getInt("uid");
    }

    /**
     * 红包随机金额
     */
    public void setCny(java.lang.Long cny) {
        set("cny", cny);
    }

    /**
     * 红包随机金额
     */
    public java.lang.Long getCny() {
        return getLong("cny");
    }

    /**
     * 类型：1：普通红包；2：手气红包
     */
    public void setMode(java.lang.Short mode) {
        set("mode", mode);
    }

    /**
     * 类型：1：普通红包；2：手气红包
     */
    public java.lang.Short getMode() {
        return getShort("mode");
    }

    /**
     * 状态：1：完成到账；2：初始化；3：分配中；4：超时
     */
    public void setStatus(java.lang.Short status) {
        set("status", status);
    }

    /**
     * 状态：1：完成到账；2：初始化；3：分配中；4：超时
     */
    public java.lang.Short getStatus() {
        return getShort("status");
    }

    /**
     * 红包的序列
     */
    public void setRedindex(java.lang.Short redindex) {
        set("redindex", redindex);
    }

    /**
     * 红包的序列
     */
    public java.lang.Short getRedindex() {
        return getShort("redindex");
    }

    /**
     * 到账时间
     */
    public void setAccounttime(java.util.Date accounttime) {
        set("accounttime", accounttime);
    }

    /**
     * 到账时间
     */
    public java.util.Date getAccounttime() {
        return getDate("accounttime");
    }

    /**
     * 抢红包分配时间
     */
    public void setGrabtime(java.util.Date grabtime) {
        set("grabtime", grabtime);
    }

    /**
     * 抢红包分配时间
     */
    public java.util.Date getGrabtime() {
        return getDate("grabtime");
    }

    /**
     * 失效时间
     */
    public void setInvalidtime(java.util.Date invalidtime) {
        set("invalidtime", invalidtime);
    }

    /**
     * 失效时间
     */
    public java.util.Date getInvalidtime() {
        return getDate("invalidtime");
    }

    /**
     * 记录创建时间
     */
    public void setCreatetime(java.util.Date createtime) {
        set("createtime", createtime);
    }

    /**
     * 记录创建时间
     */
    public java.util.Date getCreatetime() {
        return getDate("createtime");
    }

    /**
     * 该记录更新时间
     */
    public void setUpdatetime(java.util.Date updatetime) {
        set("updatetime", updatetime);
    }

    /**
     * 该记录更新时间
     */
    public java.util.Date getUpdatetime() {
        return getDate("updatetime");
    }

}


